#ifndef METER_H_INCLUDED
#define METER_H_INCLUDED 1

class Meter
{
private:
	double value_;

public:
	Meter(double value = 0.0);
	~Meter();

	void draw(bool light);

	const double	value() const			{return value_;}
	void			setValue(double value)	{value_ = value;}
	void			incValue(double value)	{value_ += value;}
	void			decValue(double value)	{value_ -= value;}
};

#endif // METER_H_INCLUDED